@if (executionPageService.componentData$ | async; as componentData) {
  <div class="flex-row header-toolbar-grid m-b-5 m-t-5">
    <div class="session-note-info flex full-width">
      @if (note.expanded) {
        <i
          [attr.data-test-element-id]="'collapse'"
          class="m-r-10 m-l-8"
          nz-icon
          nzType="caret-down"
          nzTheme="outline"
          (click)="collapseNote()"
        ></i>
      } @else {
        <i
          [attr.data-test-element-id]="'expand'"
          class="m-r-10 m-l-8"
          nz-icon
          nzType="caret-right"
          nzTheme="outline"
          (click)="expandNote()"
        ></i>
      }
      <sqtm-app-session-note-kind-select
        class="m-r-15"
        [editable]="editable && !isSessionStopped"
        [noteKind]="note.noteKind"
        (noteKindSelectionChanged)="updateKind($event)"
      >
      </sqtm-app-session-note-kind-select>
      <sqtm-core-auditable-field
        [date]="lastModificationDate"
        [userName]="lastModificationUser"
      >
      </sqtm-core-auditable-field>
      @if (getUploadedAttachmentsCount(); as attachmentCount) {
        <div class="info-icon counter-icon-container m-l-10">
          <i
            nz-icon
            nzType="sqtm-core-generic:attachments"
            nzTheme="outline"
          ></i>
          <div class="flex">
            <span
              class="counter"
              [attr.data-test-element-id]="'attachment-counter'"
            >
              {{ attachmentCount }}
            </span>
          </div>
        </div>
      }
      @if (issues.length > 0) {
        <div class="info-icon counter-icon-container m-l-10">
          <i nz-icon nzType="sqtm-core-generic:issues" nzTheme="outline"></i>
          <div class="flex">
            <span class="counter" [attr.data-test-element-id]="'issue-counter'">
              {{ issues.length }}</span
            >
          </div>
        </div>
      }
    </div>
    <div class="action-buttons flex full-width">
      @if (editable && isSessionRunning) {
        <i
          class="m-r-5 tree-icon-size current-workspace-button"
          nz-icon
          nzType="sqtm-core-generic:plus"
          nzTheme="outline"
          (click)="addNoteAfter(note.noteOrder)"
          nz-tooltip
          [nzTooltipTitle]="
            'sqtm-core.campaign-workspace.execution-page.note.insert'
              | translate
          "
          [attr.data-test-button-id]="'addNoteAfter'"
        ></i>
      }
      @if (editable && !isSessionStopped) {
        <i
          nz-icon
          nzType="sqtm-core-generic:delete"
          nzTheme="outline"
          [attr.data-test-button-id]="'remove-note'"
          class="current-workspace-button tree-icon-size"
          nz-tooltip
          [nzTooltipTitle]="'sqtm-core.generic.label.delete' | translate"
          (click)="deleteNote(note)"
        >
        </i>
      }
      @if (
        componentData.permissions.canExecute &&
        (canAddIssue(componentData) || canAttach(componentData)) &&
        componentData.execution.parentSprintStatus !== SprintStatus.CLOSED.id
      ) {
        <i
          nz-icon
          nzType="sqtm-core-generic:more"
          nzTheme="outline"
          class="current-workspace-button tree-icon-size m-l-10 m-r-10"
          nz-dropdown
          [nzDropdownMenu]="menu"
        >
        </i>
      }
    </div>
  </div>
  <nz-dropdown-menu #menu="nzDropdownMenu">
    <ul nz-menu>
      @if (canAttach(componentData)) {
        <li class="no-padding" nz-menu-item>
          <sqtm-core-attachment-file-selector
            class="full-width"
            (uploadFilesEvent)="addAttachment($event)"
          >
            {{ 'sqtm-core.entity.attachment.add-attachment.label' | translate }}
          </sqtm-core-attachment-file-selector>
        </li>
      }
      @if (canAddIssue(componentData)) {
        <li (click)="createIssue(componentData)" nz-menu-item>
          {{
            'sqtm-core.campaign-workspace.execution-page.issue.add-issue'
              | translate
          }}
        </li>
      }
      @if (canAddIssue(componentData)) {
        <li (click)="attachIssue(componentData)" nz-menu-item>
          {{
            'sqtm-core.campaign-workspace.dialog.title.attach-issue' | translate
          }}
        </li>
      }
    </ul>
  </nz-dropdown-menu>
  @if (note.expanded) {
    <div class="block-border p-l-10 m-l-15 m-r-20 m-b-10">
      <sqtm-core-editable-rich-text
        #richTextNote
        [editable]="editable && !isSessionStopped"
        [targetOnUpload]="{
          entityId: note.id,
          attachmentListId: note.attachmentList.id,
          holderType: AttachmentHolderType.SESSION_NOTE
        }"
        [attr.data-test-element-id]="'content'"
        [value]="note.noteContent"
        [focus]="true"
        (confirmEvent)="updateContent($event)"
      >
      </sqtm-core-editable-rich-text>
    </div>
  } @else {
    <div
      class="m-x-10 readonly-note-content m-b-10"
      [innerHTML]="note.noteContent"
      (click)="handleReadOnlyContentClicked()"
    ></div>
  }
  @if (note.expanded && note.attachmentList.attachments.ids.length > 0) {
    <div>
      <div class="m-t-15 m-b-5 m-l-10 header-typography">
        {{ 'sqtm-core.entity.attachment.label.long.plural' | translate }}
      </div>
      <div class="block-border p-l-10 m-l-15 m-t-10 m-b-10">
        <sqtm-core-attachment-list-compact
          [attachments]="getAttachments(note)"
          [attachmentListId]="note.attachmentList.id"
          [canAttach]="canAttach(componentData)"
          (deleteAttachmentEvent)="deleteAttachment($event, note.id)"
          (confirmDeleteAttachmentEvent)="
            confirmDeleteAttachmentEvent(
              $event,
              note.id,
              note.attachmentList.id
            )
          "
          (cancelDeleteAttachmentEvent)="
            cancelDeleteAttachmentEvent($event, note.id)
          "
          (removeRejectedAttachmentEvent)="
            removeRejectedAttachment($event, note.id)
          "
        >
        </sqtm-core-attachment-list-compact>
      </div>
    </div>
  }
  @if (note.expanded && issues.length > 0) {
    <div>
      <div class="m-t-15 m-b-5 m-l-10 header-typography">
        {{ 'sqtm-core.entity.issue.label.plural' | translate }}
      </div>
      <div class="block-border p-l-10 m-l-15 m-t-10 m-b-10">
        <sqtm-core-issue-list-compact
          [issues]="issues"
          [canDelete]="componentData.permissions.canExecute && editable"
          (issuesDeleted)="deleteIssue($event)"
        ></sqtm-core-issue-list-compact>
      </div>
    </div>
  }
}
